input:not([type=checkbox]):not([type=radio]),
textarea,
select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input, textarea {
    outline: none;
    &:focus:required:invalid { border-color: red }
    &:required:valid { border-color: green }
}

option::selection {background: #ccc;}
option::-moz-selection {background: #ccc;}
option::-webkit-selection {background: #ccc; color:#fff;}

.field {
    display: block;
    position: relative;
    background: transparent;
    $input-selector: "input[type=text], input[type=email], input[type=password], textarea";

    #{$input-selector} {
        margin: 0;
        width: 100%;
        height: rem(54);
        border: none;
        outline: none;
        color: $dark;
        border-radius: 0;
        box-shadow: none;
        font-weight: 400;
        font-size: rem(16);
        line-height: rem(24);
        padding: rem(15) 0 rem(15) rem(28);
        background: transparent;
        z-index: 10;
        position: relative;
        display: block;
        vertical-align: middle;
        border-bottom: rem(1) solid rgba(17, 16, 16, .15);
        @include placeholder(rgba(17, 16, 16, .3));

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            outline: 0 !important;
            outline-offset: 0 !important;
            border-bottom-color: $dark;
            @include placeholder(transparent);
        }


        &.error {
            border-color: red !important;
        }
    }

    textarea {
        height: auto;
        resize: none;
    }

    &__icon {
        left: 0;
        top: 50%;
        z-index: 1;
        margin-top: rem(-7);
        fill: $dark;
        font-size: 0;
        line-height: 0;
        height: rem(15);
        position: absolute;
        display: inline-block;
    }

    &--white {

        #{$input-selector} {
            color: $white;
            @include placeholder(rgba(255, 255, 255, .2));
            border-bottom-color: rgba(255,255,255,0.15);

            &:focus,
            &:active {
                border-bottom-color: $white;
            }
        }

        .field__icon {
            fill: $white;
        }
    }
}

.form-btn {
    padding-top: rem(15);

    .btn {
        min-width: rem(190);
    }
}

